<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JFrameFormInfo">
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="3"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="false"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <EmptySpace min="-2" pref="47" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="addlib" min="-2" max="-2" attributes="0"/>
                          <Component id="viewbooks" min="-2" pref="97" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace type="separate" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="deletelibrarians" min="-2" pref="129" max="-2" attributes="0"/>
                          <Group type="102" alignment="1" attributes="0">
                              <Component id="borrowed" min="-2" max="-2" attributes="0"/>
                              <EmptySpace min="-2" pref="31" max="-2" attributes="0"/>
                          </Group>
                      </Group>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="viewlibrarians" min="-2" max="-2" attributes="0"/>
                          <Component id="fines" alignment="0" min="-2" pref="120" max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace min="-2" pref="153" max="-2" attributes="0"/>
                      <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace pref="46" max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="33" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="addlib" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="viewlibrarians" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="deletelibrarians" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace min="-2" pref="34" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="3" attributes="0">
                  <Component id="viewbooks" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="borrowed" alignment="3" min="-2" max="-2" attributes="0"/>
                  <Component id="fines" alignment="3" min="-2" max="-2" attributes="0"/>
              </Group>
              <EmptySpace min="0" pref="81" max="32767" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JLabel" name="jLabel1">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Noto Sans" size="24" style="0"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Admin Home"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="addlib">
      <Properties>
        <Property name="text" type="java.lang.String" value="Add Librarian"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="addlibActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="viewbooks">
      <Properties>
        <Property name="text" type="java.lang.String" value="View Books"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="viewbooksActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="viewlibrarians">
      <Properties>
        <Property name="text" type="java.lang.String" value="View Librarians"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="viewlibrariansActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="deletelibrarians">
      <Properties>
        <Property name="text" type="java.lang.String" value="Delete Librarians"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="deletelibrariansActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="borrowed">
      <Properties>
        <Property name="text" type="java.lang.String" value="History"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="borrowedActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="fines">
      <Properties>
        <Property name="text" type="java.lang.String" value="Set Fines"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="finesActionPerformed"/>
      </Events>
    </Component>
  </SubComponents>
</Form>
